package com.ztmap.project.zhny.device.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 设备对象 t_device
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 设备分类编号 */
    @Excel(name = "设备分类编号")
    private Long sortId;

    /** 一级分类(1监控设备 2门禁设备 3电子围栏设备 4巡更设备 5入侵报警设备) */
    @Excel(name = "一级分类(1监控设备 2门禁设备 3电子围栏设备 4巡更设备 5入侵报警设备)")
    private Long devicetype;

    /** 二级分类 */
    @Excel(name = "二级分类")
    private Long subdevicetype;

    /**  */
    @Excel(name = "")
    private Long area;

    /** 所属建筑 */
    @Excel(name = "所属建筑")
    private Long build;

    /** 所属楼层 */
    @Excel(name = "所属楼层")
    private Long floor;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String devicename;

    /** 是否人脸识别 0否 1是 */
    @Excel(name = "是否人脸识别 0否 1是")
    private Long isface;

    /** 区域编号 */
    @Excel(name = "区域编号")
    private Long areaid;

    /** 地图编号 */
    @Excel(name = "地图编号")
    private String mapid;

    /** 位置 */
    @Excel(name = "位置")
    private String address;

    /** 地图坐标X */
    @Excel(name = "地图坐标X")
    private Double x;

    /** 地图坐标y */
    @Excel(name = "地图坐标y")
    private Double y;

    /** 地图坐标z */
    @Excel(name = "地图坐标z")
    private Double z;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String devicecode;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String devicemodal;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    private String devicebrand;

    /** 供应商 */
    @Excel(name = "供应商")
    private String devicesupplier;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String contactdetails;

    /** ip */
    @Excel(name = "ip")
    private String ip;

    /** port */
    @Excel(name = "port")
    private Long port;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** rtsp视频流地址 */
    @Excel(name = "rtsp视频流地址")
    private String rtspurl;

    /**  */
    @Excel(name = "")
    private Long doorno;

    /** 在线 0离线 1在线 */
    @Excel(name = "在线 0离线 1在线")
    private Long online;

    /** 状态（1：运行，0：空闲，2：故障） */
    @Excel(name = "状态", readConverterExp = "1=：运行，0：空闲，2：故障")
    private Long status;

    /**  */
    @Excel(name = "")
    private Long alarm;

    /** 是否启用（1：启用 0：禁用） */
    @Excel(name = "是否启用", readConverterExp = "1=：启用,0=：禁用")
    private Long isenable;

    /** 采购时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "采购时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date purchasetime;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installationtime;

    /** 有效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectivetime;

    /**  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ctime;

    /** 位置类型（1：室内 2：室外） */
    @Excel(name = "位置类型", readConverterExp = "1=：室内,2=：室外")
    private Long positiontype;

    /** 是否过保 */
    @Excel(name = "是否过保")
    private String overInsurance;

    /**  */
    @Excel(name = "")
    private String data;

    /**  */
    @Excel(name = "")
    private String imageUrl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }
    public void setDevicetype(Long devicetype)
    {
        this.devicetype = devicetype;
    }

    public Long getDevicetype()
    {
        return devicetype;
    }
    public void setSubdevicetype(Long subdevicetype)
    {
        this.subdevicetype = subdevicetype;
    }

    public Long getSubdevicetype()
    {
        return subdevicetype;
    }
    public void setArea(Long area)
    {
        this.area = area;
    }

    public Long getArea()
    {
        return area;
    }
    public void setBuild(Long build)
    {
        this.build = build;
    }

    public Long getBuild()
    {
        return build;
    }
    public void setFloor(Long floor)
    {
        this.floor = floor;
    }

    public Long getFloor()
    {
        return floor;
    }
    public void setDevicename(String devicename)
    {
        this.devicename = devicename;
    }

    public String getDevicename()
    {
        return devicename;
    }
    public void setIsface(Long isface)
    {
        this.isface = isface;
    }

    public Long getIsface()
    {
        return isface;
    }
    public void setAreaid(Long areaid)
    {
        this.areaid = areaid;
    }

    public Long getAreaid()
    {
        return areaid;
    }
    public void setMapid(String mapid)
    {
        this.mapid = mapid;
    }

    public String getMapid()
    {
        return mapid;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setX(Double x)
    {
        this.x = x;
    }

    public Double getX()
    {
        return x;
    }
    public void setY(Double y)
    {
        this.y = y;
    }

    public Double getY()
    {
        return y;
    }
    public void setZ(Double z)
    {
        this.z = z;
    }

    public Double getZ()
    {
        return z;
    }
    public void setDevicecode(String devicecode)
    {
        this.devicecode = devicecode;
    }

    public String getDevicecode()
    {
        return devicecode;
    }
    public void setDevicemodal(String devicemodal)
    {
        this.devicemodal = devicemodal;
    }

    public String getDevicemodal()
    {
        return devicemodal;
    }
    public void setDevicebrand(String devicebrand)
    {
        this.devicebrand = devicebrand;
    }

    public String getDevicebrand()
    {
        return devicebrand;
    }
    public void setDevicesupplier(String devicesupplier)
    {
        this.devicesupplier = devicesupplier;
    }

    public String getDevicesupplier()
    {
        return devicesupplier;
    }
    public void setContactdetails(String contactdetails)
    {
        this.contactdetails = contactdetails;
    }

    public String getContactdetails()
    {
        return contactdetails;
    }
    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getIp()
    {
        return ip;
    }
    public void setPort(Long port)
    {
        this.port = port;
    }

    public Long getPort()
    {
        return port;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setRtspurl(String rtspurl)
    {
        this.rtspurl = rtspurl;
    }

    public String getRtspurl()
    {
        return rtspurl;
    }
    public void setDoorno(Long doorno)
    {
        this.doorno = doorno;
    }

    public Long getDoorno()
    {
        return doorno;
    }
    public void setOnline(Long online)
    {
        this.online = online;
    }

    public Long getOnline()
    {
        return online;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setAlarm(Long alarm)
    {
        this.alarm = alarm;
    }

    public Long getAlarm()
    {
        return alarm;
    }
    public void setIsenable(Long isenable)
    {
        this.isenable = isenable;
    }

    public Long getIsenable()
    {
        return isenable;
    }
    public void setPurchasetime(Date purchasetime)
    {
        this.purchasetime = purchasetime;
    }

    public Date getPurchasetime()
    {
        return purchasetime;
    }
    public void setInstallationtime(Date installationtime)
    {
        this.installationtime = installationtime;
    }

    public Date getInstallationtime()
    {
        return installationtime;
    }
    public void setEffectivetime(Date effectivetime)
    {
        this.effectivetime = effectivetime;
    }

    public Date getEffectivetime()
    {
        return effectivetime;
    }
    public void setCtime(Date ctime)
    {
        this.ctime = ctime;
    }

    public Date getCtime()
    {
        return ctime;
    }
    public void setPositiontype(Long positiontype)
    {
        this.positiontype = positiontype;
    }

    public Long getPositiontype()
    {
        return positiontype;
    }
    public void setOverInsurance(String overInsurance)
    {
        this.overInsurance = overInsurance;
    }

    public String getOverInsurance()
    {
        return overInsurance;
    }
    public void setData(String data)
    {
        this.data = data;
    }

    public String getData()
    {
        return data;
    }
    public void setImageUrl(String imageUrl)
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl()
    {
        return imageUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sortId", getSortId())
            .append("devicetype", getDevicetype())
            .append("subdevicetype", getSubdevicetype())
            .append("area", getArea())
            .append("build", getBuild())
            .append("floor", getFloor())
            .append("devicename", getDevicename())
            .append("isface", getIsface())
            .append("areaid", getAreaid())
            .append("mapid", getMapid())
            .append("address", getAddress())
            .append("x", getX())
            .append("y", getY())
            .append("z", getZ())
            .append("devicecode", getDevicecode())
            .append("devicemodal", getDevicemodal())
            .append("devicebrand", getDevicebrand())
            .append("devicesupplier", getDevicesupplier())
            .append("contactdetails", getContactdetails())
            .append("ip", getIp())
            .append("port", getPort())
            .append("username", getUsername())
            .append("password", getPassword())
            .append("rtspurl", getRtspurl())
            .append("doorno", getDoorno())
            .append("online", getOnline())
            .append("status", getStatus())
            .append("alarm", getAlarm())
            .append("isenable", getIsenable())
            .append("purchasetime", getPurchasetime())
            .append("installationtime", getInstallationtime())
            .append("effectivetime", getEffectivetime())
            .append("remark", getRemark())
            .append("ctime", getCtime())
            .append("positiontype", getPositiontype())
            .append("overInsurance", getOverInsurance())
            .append("data", getData())
            .append("imageUrl", getImageUrl())
            .toString();
    }
}
